/*
 *  This file is part of Player Analytics (Plan).
 *
 *  Plan is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License v3 as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Plan is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Plan. If not, see <https://www.gnu.org/licenses/>.
 */
package com.djrapitops.plan.delivery.webserver.auth;

import org.apache.commons.lang3.StringUtils;

public class Cookie {

    private final String name;
    private final String value;

    public Cookie(String rawRepresentation) {
        this(StringUtils.split(rawRepresentation, "=", 2));
    }

    private Cookie(String[] splitRawRepresentation) {
        this(splitRawRepresentation[0], splitRawRepresentation[1]);
    }

    public Cookie(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public String getValue() {
        return value;
    }

    @Override
    public String toString() {
        return "Cookie{" +
                "'" + name + '\'' +
                "='" + value + '\'' +
                '}';
    }
}
